View Issue Details

IDProjectCategoryView StatusLast Update
0003548Ham Radio DeluxeBugpublic2019-11-08 02:32
ReporterWA9PIEAssigned ToK7ZCZ 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003548: qrzcq.com, the Callsign Lookup does not correctly assign DXCC and HRDCountry
DescriptionThe cross-referencing for DXCC to the country list for Enabled Methods is not gathering the DXCC and HRDCountry values correctly.
Steps To Reproduce1 - Launch Rig Control
2 - Launch Logbook
3 - Go to Tools > Configure > Callsign Lookup... Enable tab
4 - Add only qrzcq.com Subscription
resulting order is UCSDB (Public), UCSDB (Private), qrzcq.com Subscription, Country List
5 - Press "Apply"
6 - Click the "Test" tab
7 - Enter "KH0A" (without quotes) and click "Lookup"
8 - Observe the results where the qrzcq.com row does not populate DXCC and HRD Country Number correctly...

It shows blank and it should be 291 and 291.
As a result, the "distilled results" incorrectly show them blank rather than "291" and "291" respectively
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003493 closedK7ZCZ Complete the Callsign Lookup function for the QRZCQ method 

Activities

WA9PIE

2019-11-04 04:26

administrator  

KH0A (qrzcq).png (48,961 bytes)
KH0A (qrzcq).png (48,961 bytes)

K7ZCZ

2019-11-04 22:01

administrator   ~0009135

With this change, the code is changed to use the DXCC value from the QRZCQ lookup results. The received DXCC number is used to find a country name in the applications' country list. That name is added to the result set for the country field. The country name is used to look up the continent name and the HRD country number from the country list in the application, and those results are added to the result set.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5265

WA9PIE

2019-11-05 20:24

administrator   ~0009146

Validated

Issue History

Date Modified Username Field Change
2019-11-04 04:26 WA9PIE New Issue
2019-11-04 04:26 WA9PIE Status new => assigned
2019-11-04 04:26 WA9PIE Assigned To => K7ZCZ
2019-11-04 04:26 WA9PIE File Added: KH0A (qrzcq).png
2019-11-04 04:26 WA9PIE Issue generated from: 0003544
2019-11-04 04:30 WA9PIE Description Updated View Revisions
2019-11-04 04:30 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-04 04:59 WA9PIE Priority normal => high
2019-11-04 05:00 WA9PIE Severity minor => major
2019-11-04 22:01 K7ZCZ Status assigned => resolved
2019-11-04 22:01 K7ZCZ Resolution open => fixed
2019-11-04 22:01 K7ZCZ Note Added: 0009135
2019-11-04 22:05 K7ZCZ Relationship added related to 0003493
2019-11-05 20:19 K7ZCZ Fixed in Version => 6.7.0.242
2019-11-05 20:24 WA9PIE Status resolved => closed
2019-11-05 20:24 WA9PIE Testing Not Started => Beta Successful
2019-11-05 20:24 WA9PIE Note Added: 0009146
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.242 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe